# BEGIN SourceDeps(oneline):
BuildRequires: perl(Gtk2.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-GStreamer-Interfaces
Version:        0.06
Release:        alt1_3
Summary:        Perl interface to the GStreamer Interfaces library
License:        LGPLv2+
Group:          Development/Perl
URL:            http://search.cpan.org/dist/GStreamer-Interfaces/
Source0:        http://www.cpan.org/authors/id/T/TS/TSCH/GStreamer-Interfaces-%{version}.tar.gz
BuildRequires:  perl(ExtUtils/Depends.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(ExtUtils/PkgConfig.pm)
BuildRequires:  perl(Glib.pm)
BuildRequires:  perl(GStreamer.pm)
BuildRequires:  gst-plugins-devel
BuildRequires:  perl-Glib-devel
BuildRequires:  perl(Test/More.pm)
Requires:       perl(ExtUtils/Depends.pm) >= 0.205
Requires:       perl(ExtUtils/PkgConfig.pm) >= 1.07
Requires:       perl(Glib.pm) >= 1.180
Requires:       perl(GStreamer.pm) >= 0.06


Source44: import.info

%description
GStreamer::Interfaces provides access to some of the interfaces in the
GStreamer Interfaces library.  Currently, that's GStreamer::PropertyProbe
and GStreamer::XOverlay.

%prep
%setup -q -n GStreamer-Interfaces-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc ChangeLog.pre-git LICENSE NEWS README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/GStreamer*

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_3
- initial fc import

